gtkSheetSetActiveCell <-
function(sheet = NULL, row, column, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)

	 w <- .GtkCall("S_gtk_sheet_set_active_cell", sheet, row, column, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetDeleteColumns <-
function(sheet = NULL, col, ncols, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 col <- as.integer(col)
	 ncols <- as.integer(ncols)

	 w <- .GtkCall("S_gtk_sheet_delete_columns", sheet, col, ncols, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetGetEntry <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_get_entry", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetColumnSetVisibility <-
function(sheet = NULL, column, visible, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 visible <- as.logical(visible)

	 w <- .GtkCall("S_gtk_sheet_column_set_visibility", sheet, column, visible, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetAddColumn <-
function(sheet = NULL, ncols, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 ncols <- as.integer(ncols)

	 w <- .GtkCall("S_gtk_sheet_add_column", sheet, ncols, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetNewBrowser <-
function(rows, columns, title, show = TRUE, .flush = TRUE)
{
	 rows <- as.integer(rows)
	 columns <- as.integer(columns)
	 title <- as.character(title)

	 w <- .GtkCall("S_gtk_sheet_new_browser", rows, columns, title, PACKAGE='RGtkExtra', .flush = .flush)
	 class(w) <- c("GtkSheet", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkIconListIsEditable <-
function(iconlist = NULL, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")

	 w <- .GtkCall("S_gtk_icon_list_is_editable", iconlist, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetGetColumnsCount <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_get_columns_count", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetSetColumnWidth <-
function(sheet = NULL, column, width, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 width <- as.integer(width)

	 w <- .GtkCall("S_gtk_sheet_set_column_width", sheet, column, width, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetCellDelete <-
function(sheet = NULL, row, column, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)

	 w <- .GtkCall("S_gtk_sheet_cell_delete", sheet, row, column, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkDirTreeNew <-
function(show = TRUE, .flush = TRUE)
{

	 w <- .GtkCall("S_gtk_dir_tree_new", PACKAGE='RGtkExtra', .flush = .flush)
	 class(w) <- c("GtkDirTree", "GtkCTree", "GtkCList", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkSheetHideColumnTitles <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_hide_column_titles", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListSetRowSpacing <-
function(iconlist = NULL, spacing, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")
	 spacing <- as.integer(spacing)

	 w <- .GtkCall("S_gtk_icon_list_set_row_spacing", iconlist, spacing, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetHadjustment <-
function(sheet = NULL, adjustment = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 gtkCheckInherits(adjustment, "GtkAdjustment")

	 w <- .GtkCall("S_gtk_sheet_set_hadjustment", sheet, adjustment, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetRowButtonAddLabel <-
function(sheet = NULL, row, label, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 label <- as.character(label)

	 w <- .GtkCall("S_gtk_sheet_row_button_add_label", sheet, row, label, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetMoveto <-
function(sheet = NULL, row, column, row.align, col.align, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)
	 row.align <- as.numeric(row.align)
	 col.align <- as.numeric(col.align)

	 w <- .GtkCall("S_gtk_sheet_moveto", sheet, row, column, row.align, col.align, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetCellClear <-
function(sheet = NULL, row, column, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)

	 w <- .GtkCall("S_gtk_sheet_cell_clear", sheet, row, column, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListGetMode <-
function(iconlist = NULL, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")

	 w <- .GtkCall("S_gtk_icon_list_get_mode", iconlist, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetAddRow <-
function(sheet = NULL, nrows, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 nrows <- as.integer(nrows)

	 w <- .GtkCall("S_gtk_sheet_add_row", sheet, nrows, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetDeleteRows <-
function(sheet = NULL, row, nrows, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 nrows <- as.integer(nrows)

	 w <- .GtkCall("S_gtk_sheet_delete_rows", sheet, row, nrows, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListAddTypeFilter <-
function(file.list = NULL, type, filter, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")
	 type <- as.integer(type)
	 filter <- as.character(filter)

	 w <- .GtkCall("S_gtk_file_list_add_type_filter", file.list, type, filter, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSelectRow <-
function(sheet = NULL, row, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)

	 w <- .GtkCall("S_gtk_sheet_select_row", sheet, row, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetCellGetState <-
function(sheet = NULL, row, col, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 col <- as.integer(col)

	 w <- .GtkCall("S_gtk_sheet_cell_get_state", sheet, row, col, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetNew <-
function(rows, columns, title, show = TRUE, .flush = TRUE)
{
	 rows <- as.integer(rows)
	 columns <- as.integer(columns)
	 title <- as.character(title)

	 w <- .GtkCall("S_gtk_sheet_new", rows, columns, title, PACKAGE='RGtkExtra', .flush = .flush)
	 class(w) <- c("GtkSheet", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkDirTreeOpenDir <-
function(dir.tree = NULL, path, .flush = TRUE)
{
	 gtkCheckInherits(dir.tree, "GtkDirTree")
	 path <- as.character(path)

	 w <- .GtkCall("S_gtk_dir_tree_open_dir", dir.tree, path, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetSetCell <-
function(sheet = NULL, row, column, justification = GtkJustification[1], text, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)
	 justification  <- mapGtkJustification(justification)
	 text <- as.character(text)

	 w <- .GtkCall("S_gtk_sheet_set_cell", sheet, row, column, justification, text, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetCellGetText <-
function(sheet = NULL, row, column, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)

	 w <- .GtkCall("S_gtk_sheet_cell_get_text", sheet, row, column, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetInsertColumns <-
function(sheet = NULL, col, ncols, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 col <- as.integer(col)
	 ncols <- as.integer(ncols)

	 w <- .GtkCall("S_gtk_sheet_insert_columns", sheet, col, ncols, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetCellText <-
function(sheet = NULL, row, column, text, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 column <- as.integer(column)
	 text <- as.character(text)

	 w <- .GtkCall("S_gtk_sheet_set_cell_text", sheet, row, column, text, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetColumnsSetSensitivity <-
function(sheet = NULL, sensitive, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 sensitive <- as.logical(sensitive)

	 w <- .GtkCall("S_gtk_sheet_columns_set_sensitivity", sheet, sensitive, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListGetColSpacing <-
function(iconlist = NULL, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")

	 w <- .GtkCall("S_gtk_icon_list_get_col_spacing", iconlist, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetSetColumnTitle <-
function(sheet = NULL, column, title, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 title <- as.character(title)

	 w <- .GtkCall("S_gtk_sheet_set_column_title", sheet, column, title, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetShowRowTitles <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_show_row_titles", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetRowSetSensitivity <-
function(sheet = NULL, row, sensitive, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 sensitive <- as.logical(sensitive)

	 w <- .GtkCall("S_gtk_sheet_row_set_sensitivity", sheet, row, sensitive, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetColumnButtonAddLabel <-
function(sheet = NULL, column, label, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 label <- as.character(label)

	 w <- .GtkCall("S_gtk_sheet_column_button_add_label", sheet, column, label, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetChangeEntry <-
function(sheet = NULL, entry.type, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 gtkCheckInherits(entry.type, "GtkType")

	 w <- .GtkCall("S_gtk_sheet_change_entry", sheet, entry.type, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetHideRowTitles <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_hide_row_titles", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetNewWithCustomEntry <-
function(rows, columns, title, entry.type, show = TRUE, .flush = TRUE)
{
	 rows <- as.integer(rows)
	 columns <- as.integer(columns)
	 title <- as.character(title)
	 gtkCheckInherits(entry.type, "GtkType")

	 w <- .GtkCall("S_gtk_sheet_new_with_custom_entry", rows, columns, title, entry.type, PACKAGE='RGtkExtra', .flush = .flush)
	 class(w) <- c("GtkSheet", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkSheetInsertRows <-
function(sheet = NULL, row, nrows, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 nrows <- as.integer(nrows)

	 w <- .GtkCall("S_gtk_sheet_insert_rows", sheet, row, nrows, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetShowColumnTitles <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_show_column_titles", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetSelectionMode <-
function(sheet = NULL, mode, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 mode <- as.integer(mode)

	 w <- .GtkCall("S_gtk_sheet_set_selection_mode", sheet, mode, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetTitle <-
function(sheet = NULL, title, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 title <- as.character(title)

	 w <- .GtkCall("S_gtk_sheet_set_title", sheet, title, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListSetMode <-
function(iconlist = NULL, mode, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")
	 mode <- as.integer(mode)

	 w <- .GtkCall("S_gtk_icon_list_set_mode", iconlist, mode, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListSetEditable <-
function(iconlist = NULL, editable, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")
	 editable <- as.logical(editable)

	 w <- .GtkCall("S_gtk_icon_list_set_editable", iconlist, editable, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListGetRowSpacing <-
function(iconlist = NULL, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")

	 w <- .GtkCall("S_gtk_icon_list_get_row_spacing", iconlist, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkIconListUnselectAll <-
function(iconlist = NULL, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")

	 w <- .GtkCall("S_gtk_icon_list_unselect_all", iconlist, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListGetPath <-
function(file.list = NULL, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")

	 w <- .GtkCall("S_gtk_file_list_get_path", file.list, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetGetState <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_get_state", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkIconListSetSelectionMode <-
function(iconlist = NULL, mode, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")
	 mode <- as.integer(mode)

	 w <- .GtkCall("S_gtk_icon_list_set_selection_mode", iconlist, mode, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListGetFilename <-
function(file.list = NULL, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")

	 w <- .GtkCall("S_gtk_file_list_get_filename", file.list, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkSheetRowsSetSensitivity <-
function(sheet = NULL, sensitive, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 sensitive <- as.logical(sensitive)

	 w <- .GtkCall("S_gtk_sheet_rows_set_sensitivity", sheet, sensitive, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkIconListSetColSpacing <-
function(iconlist = NULL, spacing, .flush = TRUE)
{
	 gtkCheckInherits(iconlist, "GtkIconList")
	 spacing <- as.integer(spacing)

	 w <- .GtkCall("S_gtk_icon_list_set_col_spacing", iconlist, spacing, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetFreeze <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_freeze", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListOpenDir <-
function(file.list = NULL, path, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")
	 path <- as.character(path)

	 w <- .GtkCall("S_gtk_file_list_open_dir", file.list, path, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetThaw <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_thaw", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetRowTitle <-
function(sheet = NULL, column, title, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 title <- as.character(title)

	 w <- .GtkCall("S_gtk_sheet_set_row_title", sheet, column, title, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSetVadjustment <-
function(sheet = NULL, adjustment = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 gtkCheckInherits(adjustment, "GtkAdjustment")

	 w <- .GtkCall("S_gtk_sheet_set_vadjustment", sheet, adjustment, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetRowSetVisibility <-
function(sheet = NULL, column, visible, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)
	 visible <- as.logical(visible)

	 w <- .GtkCall("S_gtk_sheet_row_set_visibility", sheet, column, visible, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetGetRowsCount <-
function(sheet = NULL, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")

	 w <- .GtkCall("S_gtk_sheet_get_rows_count", sheet, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkFileListSetFilter <-
function(file.list = NULL, filter, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")
	 filter <- as.character(filter)

	 w <- .GtkCall("S_gtk_file_list_set_filter", file.list, filter, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkSheetSelectColumn <-
function(sheet = NULL, column, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 column <- as.integer(column)

	 w <- .GtkCall("S_gtk_sheet_select_column", sheet, column, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListNew <-
function(icon.width, mode, path, show = TRUE, .flush = TRUE)
{
	 icon.width <- as.integer(icon.width)
	 mode <- as.integer(mode)
	 path <- as.character(path)

	 w <- .GtkCall("S_gtk_file_list_new", icon.width, mode, path, PACKAGE='RGtkExtra', .flush = .flush)
	 class(w) <- c("GtkFileList", "GtkIconList", "GtkFixed", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkSheetSetRowHeight <-
function(sheet = NULL, row, height, .flush = TRUE)
{
	 gtkCheckInherits(sheet, "GtkSheet")
	 row <- as.integer(row)
	 height <- as.integer(height)

	 w <- .GtkCall("S_gtk_sheet_set_row_height", sheet, row, height, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

gtkFileListGetFiletype <-
function(file.list = NULL, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")

	 w <- .GtkCall("S_gtk_file_list_get_filetype", file.list, PACKAGE='RGtkExtra', .flush = .flush)
	 return(w)

}
 

gtkFileListConstruct <-
function(file.list = NULL, icon.width, mode, path, .flush = TRUE)
{
	 gtkCheckInherits(file.list, "GtkFileList")
	 icon.width <- as.integer(icon.width)
	 mode <- as.integer(mode)
	 path <- as.character(path)

	 w <- .GtkCall("S_gtk_file_list_construct", file.list, icon.width, mode, path, PACKAGE='RGtkExtra', .flush = .flush)
	 invisible(return(w))

}
 

